Index: main/trunk/greenstone2/common-src/indexers/mg/lib/sptree.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/sptree.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/sptree.h	(revision 25147)
@@ -29,5 +29,5 @@
   {
     int no_of_items;
-    unsigned long mem_in_use;
+    mg_u_long mem_in_use;
     int (*cmp) (void *, void *);
     void *root;
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/unitool.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/unitool.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/unitool.c	(revision 25147)
@@ -15,5 +15,5 @@
  * column
  */
-unsigned long *unicode_cat_data=NULL;
+mg_u_long *unicode_cat_data=NULL;
 
 
@@ -1464,5 +1464,5 @@
  * column
  */
-unsigned long *unicode_cat_data;
+mg_u_long *unicode_cat_data;
 
 void create_unicat_data () {
@@ -1470,5 +1470,5 @@
   int min_start=0;
   int min_end=0;
-  register unsigned long min_value=0; /* filling the whole byte */
+  register mg_u_long min_value=0; /* filling the whole byte */
   
   const unirange *letter_here = letter_info;
@@ -1529,5 +1529,5 @@
 	
       } else {
-	register unsigned long mask = 3 << ((i % 16) * 2);
+	register mg_u_long mask = 3 << ((i % 16) * 2);
 	unicode_cat_data[i/16] = (unicode_cat_data[i/16] & (~mask)) |
 				  (min_value & mask);
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/win32in.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/win32in.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/win32in.c	(revision 25147)
@@ -4,5 +4,5 @@
 /* unix systems. */
 
-unsigned long htonl(unsigned long x) {
+mg_u_long htonl(mg_u_long x) {
 #if defined (LITTLE_ENDIAN) || defined (_LITTLE_ENDIAN) || defined(__LITTLE_ENDIAN)
 	x = ((x >> 24) & 0x000000FF) | ((x >> 8) & 0x0000FF00) |
@@ -25,5 +25,5 @@
 }
 
-unsigned long ntohl(unsigned long x) {
+mg_u_long ntohl(mg_u_long x) {
 #if defined (LITTLE_ENDIAN) || defined (_LITTLE_ENDIAN) || defined(__LITTLE_ENDIAN)
 	x = ((x >> 24) & 0x000000FF) | ((x >> 8) & 0x0000FF00) |
@@ -51,5 +51,5 @@
 
 main () {
-	long x;
+	mg_s_long x;
 	short sx;
 
Index: main/trunk/greenstone2/common-src/indexers/mg/lib/win32in.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/lib/win32in.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/lib/win32in.h	(revision 25147)
@@ -4,6 +4,6 @@
 #include "longlong.h"
 
-unsigned long htonl(unsigned long x);
-unsigned long ntohl(unsigned long x);
+mg_u_long htonl(mg_u_long x);
+mg_u_long ntohl(mg_u_long x);
 mg_ullong ntohll(mg_ullong x);
 unsigned short htons(unsigned short x);
Index: main/trunk/greenstone2/common-src/indexers/mg/src/images/mgfelics.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/images/mgfelics.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/images/mgfelics.c	(revision 25147)
@@ -55,5 +55,5 @@
   FILE *fp_in = (stdin), *fp_out = (stdout);
   int width, height, maxval;
-  u_long magic;
+  mg_u_long magic;
   char *filename = NULL;
   unsigned int *line;
Index: main/trunk/greenstone2/common-src/indexers/mg/src/images/pbmtools.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/images/pbmtools.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/images/pbmtools.c	(revision 25147)
@@ -64,5 +64,5 @@
 pbm_isapbmfile (FILE * fp)
 {
-  u_long magic;
+  mg_u_long magic;
 
   magic = getmagicno_short (fp);
Index: main/trunk/greenstone2/common-src/indexers/mg/src/images/utils.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/images/utils.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/images/utils.c	(revision 25147)
@@ -230,5 +230,5 @@
 
 void 
-magic_write (FILE * fp, u_long magic_num)
+magic_write (FILE * fp, mg_u_long magic_num)
 {
   HTONUL(magic_num);  /* [RPAP - Jan 97: Endian Ordering] */
@@ -239,7 +239,7 @@
 
 void 
-magic_check (FILE * fp, u_long magic_num)
-{
-  u_long magic;
+magic_check (FILE * fp, mg_u_long magic_num)
+{
+  mg_u_long magic;
   if (fread (&magic, sizeof (magic), 1, fp) != 1 || NTOHUL(magic) != magic_num)  /* [RPAP - Jan 97: Endian Ordering] */
     error_msg ("magic num", "Incorrect magic number.", "");
@@ -247,8 +247,8 @@
 
 
-u_long 
+mg_u_long 
 magic_read (FILE * fp)
 {
-  u_long magic;
+  mg_u_long magic;
   if (fread (&magic, sizeof (magic), 1, fp) != 1)
     error_msg ("magic num", "Couldn't read magic number.", "");
Index: main/trunk/greenstone2/common-src/indexers/mg/src/images/utils.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/images/utils.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/images/utils.h	(revision 25147)
@@ -45,5 +45,5 @@
 #define MAGIC_BILEVEL           GEN_MAGIC('M','G','B','I')
 #define MAGIC_TIC               GEN_MAGIC('M','G','T','C')
-#define IS_MAGIC(a) ((((u_long)(a)) & 0xffff0000) == MAGIC_XXXX)
+#define IS_MAGIC(a) ((((mg_u_long)(a)) & 0xffff0000) == MAGIC_XXXX)
 /* --------------------------------------- */
 
@@ -68,7 +68,7 @@
 void readline (char str[], FILE * fp);
 
-void magic_write (FILE * fp, u_long magic_num);
-void magic_check (FILE * fp, u_long magic_num);
-u_long magic_read (FILE * fp);
+void magic_write (FILE * fp, mg_u_long magic_num);
+void magic_check (FILE * fp, mg_u_long magic_num);
+mg_u_long magic_read (FILE * fp);
 /* kerry's code */
 
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/backend.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/backend.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/backend.c	(revision 25147)
@@ -47,5 +47,5 @@
 
 static File *
-OpenFile (char *base, char *suffix, unsigned long magic, int *ok)
+OpenFile (char *base, char *suffix, mg_u_long magic, int *ok)
 {
   char FileName[512];
@@ -62,5 +62,5 @@
   if (magic)
     {
-      unsigned long m;
+      mg_u_long m;
       if (fread ((char *) &m, sizeof (m), 1, F->f) == 0)
 	{
@@ -475,5 +475,5 @@
   if (qd->id->ifh.InvfLevel == 3)
     {
-      unsigned long magic;
+      mg_u_long magic;
       FILE *paragraph;
       int i;
@@ -507,5 +507,5 @@
   {
     extern char *trec_ids;
-    extern long *trec_paras;
+    extern mg_s_long *trec_paras;
     int size;
     char FileName[512];
@@ -533,6 +533,6 @@
       {
 	int i, d;
-	unsigned long magic;
-	trec_paras = Xmalloc (qd->sd->sdh.num_of_docs * sizeof (long));
+	mg_u_long magic;
+	trec_paras = Xmalloc (qd->sd->sdh.num_of_docs * sizeof (mg_s_long));
 	if (!trec_paras)
 	  {
@@ -598,5 +598,5 @@
  */
 void 
-ChangeMemInUse (query_data * qd, long delta)
+ChangeMemInUse (query_data * qd, mg_s_long delta)
 {
   qd->mem_in_use += delta;
@@ -775,5 +775,5 @@
 }
 
-long 
+mg_s_long 
 GetDocCompLength (query_data * qd)
 {
@@ -785,5 +785,5 @@
 
 u_char *
-GetDocText (query_data * qd, unsigned long *len)
+GetDocText (query_data * qd, mg_u_long *len)
 {
   DocEntry *DE;
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/backend.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/backend.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/backend.h	(revision 25147)
@@ -40,6 +40,6 @@
   {
     File *InvfFile;
-    unsigned long N;
-    unsigned long Nstatic;	/* N parameter for decoding inverted file entries */
+    mg_u_long N;
+    mg_u_long Nstatic;	/* N parameter for decoding inverted file entries */
     struct invf_file_header ifh;
   }
@@ -51,8 +51,8 @@
     File *TextIdxFile;
     File *TextIdxWgtFile;
-    long current_pos;
+    mg_s_long current_pos;
     struct
       {
-	unsigned long Start;
+	mg_u_long Start;
 	float Weight;
       }
@@ -78,11 +78,11 @@
     compression_dict_header cdh;
     comp_frags_header *cfh[2];
-    unsigned long MemForCompDict;
+    mg_u_long MemForCompDict;
     u_char ***values[2];
     u_char *escape[2];
     huff_data *chars_huff[2];
-    u_long **chars_vals[2];
+    mg_u_long **chars_vals[2];
     huff_data *lens_huff[2];
-    u_long **lens_vals[2];
+    mg_u_long **lens_vals[2];
     auxiliary_dict *ad;
     int fast_loaded;
@@ -96,8 +96,8 @@
     struct stem_idx_header sih;
     u_char **index;
-    unsigned long *pos;
+    mg_u_long *pos;
     int active;
     u_char *buffer;
-    unsigned long MemForStemIdx;
+    mg_u_long MemForStemIdx;
   }
 stemmed_idx;
@@ -109,8 +109,8 @@
     struct stem_dict_header sdh;
     u_char **index;
-    unsigned long *pos;
+    mg_u_long *pos;
     int active;
     u_char *buffer;
-    unsigned long MemForStemDict;
+    mg_u_long MemForStemDict;
 
     /* [RPAP - Jan 97: Stem Index Change] */
@@ -126,10 +126,10 @@
     double L;
     double B;
-    unsigned long *DocWeights;
+    mg_u_long *DocWeights;
     char bits;
     float *table;
-    unsigned long mask;
-    unsigned long MemForWeights;
-    unsigned long num_of_docs;
+    mg_u_long mask;
+    mg_u_long MemForWeights;
+    mg_u_long num_of_docs;
   }
 approx_weights_data;
@@ -140,12 +140,12 @@
     int QueryFreqs;
     int Exact;           /* use exact weights for ranking or not */
-    long MaxDocsToRetrieve;	/* may be -1 for all */
-    long MaxParasToRetrieve;
+    mg_s_long MaxDocsToRetrieve;	/* may be -1 for all */
+    mg_s_long MaxParasToRetrieve;
     int Sort;        
     char AccumMethod;		/* 'A' = array,  'S' = splay tree,  'H' = hash_table */
-    long MaxAccums;		/* may be -1 for all */
-    long MaxTerms;		/* may be -1 for all */
+    mg_s_long MaxAccums;		/* may be -1 for all */
+    mg_s_long MaxTerms;		/* may be -1 for all */
     int StopAtMaxAccum; /* Stop at maximum accumulator or not */
-    long HashTblSize;
+    mg_s_long HashTblSize;
     char *skip_dump;
   }
@@ -156,5 +156,5 @@
 typedef struct BooleanQueryInfo
   {
-    long MaxDocsToRetrieve;
+    mg_s_long MaxDocsToRetrieve;
   }
 BooleanQueryInfo;
@@ -191,12 +191,12 @@
     File *File_invf;
     File *File_weight_approx;
-    unsigned long mem_in_use, max_mem_in_use;
-    unsigned long num_of_ptrs, tot_num_of_ptrs;
-    unsigned long num_of_terms, tot_num_of_terms;
-    unsigned long num_of_accum, tot_num_of_accum;
-    unsigned long num_of_ans, tot_num_of_ans;
-    unsigned long hops_taken, tot_hops_taken;
-    unsigned long text_idx_lookups, tot_text_idx_lookups;
-    unsigned long max_buffers;
+    mg_u_long mem_in_use, max_mem_in_use;
+    mg_u_long num_of_ptrs, tot_num_of_ptrs;
+    mg_u_long num_of_terms, tot_num_of_terms;
+    mg_u_long num_of_accum, tot_num_of_accum;
+    mg_u_long num_of_ans, tot_num_of_ans;
+    mg_u_long hops_taken, tot_hops_taken;
+    mg_u_long text_idx_lookups, tot_text_idx_lookups;
+    mg_u_long max_buffers;
     unsigned doc_pos;
     unsigned buf_in_use;
@@ -226,5 +226,5 @@
 query_data *InitQuerySystem (char *dir, char *name, char *textname, InitQueryTimes * iqt);
 
-void ChangeMemInUse (query_data * qd, long delta);
+void ChangeMemInUse (query_data * qd, mg_s_long delta);
 
 void FinishQuerySystem (query_data * qd);
@@ -251,7 +251,7 @@
 float GetDocWeight (query_data * qd);
 
-long GetDocCompLength (query_data * qd);
-
-u_char *GetDocText (query_data * qd, unsigned long *len);
+mg_s_long GetDocCompLength (query_data * qd);
+
+u_char *GetDocText (query_data * qd, mg_u_long *len);
 
 DocEntry *GetDocChain (query_data * qd);
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/bool_parser.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/bool_parser.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/bool_parser.c	(revision 25147)
@@ -44,8 +44,8 @@
 static QueryTermList **query_term_list;
 static int word_num;
-static u_long count;
-static u_long doc_count;
-static u_long invf_ptr;
-static u_long invf_len;
+static mg_u_long count;
+static mg_u_long doc_count;
+static mg_u_long invf_ptr;
+static mg_u_long invf_len;
 
 #line 66 "bool_parser.y"
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/bool_parser.y
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/bool_parser.y	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/bool_parser.y	(revision 25147)
@@ -57,8 +57,8 @@
 static QueryTermList **query_term_list;
 static int word_num;
-static u_long count;
-static u_long doc_count;
-static u_long invf_ptr;
-static u_long invf_len;
+static mg_u_long count;
+static mg_u_long doc_count;
+static mg_u_long invf_ptr;
+static mg_u_long invf_len;
 %}
  
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/bool_tester.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/bool_tester.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/bool_tester.c	(revision 25147)
@@ -151,5 +151,5 @@
 	      prompt (str);
 	      te->WE.doc_count = atoi (line);
-	      printf ("doc_count = %ld\n", te->WE.doc_count);
+	      printf ("doc_count = %d\n", te->WE.doc_count);
 	    }			/*for */
 	}			/*if */
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/bool_tree.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/bool_tree.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/bool_tree.c	(revision 25147)
@@ -56,5 +56,5 @@
 bool_tree_node *
 CreateBoolTermNode (TermList ** tl, char *text, int Count, int word_num,
-		    u_long count, u_long doc_count, u_long invf_ptr, u_long invf_len,  /* [RPAP - Feb 97: Term Frequency] */
+		    mg_u_long count, mg_u_long doc_count, mg_u_long invf_ptr, mg_u_long invf_len,  /* [RPAP - Feb 97: Term Frequency] */
 		    int stemmer_num) 
 {
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/bool_tree.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/bool_tree.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/bool_tree.h	(revision 25147)
@@ -102,6 +102,6 @@
 bool_tree_node *CopyBoolTree (bool_tree_node * tree);
 bool_tree_node *CreateBoolTermNode (TermList ** tl, char *text, int Count, int word_num,
-				    u_long count, u_long doc_count, u_long invf_ptr, 
-				    u_long invf_len, int stemmer_num);
+				    mg_u_long count, mg_u_long doc_count, mg_u_long invf_ptr, 
+				    mg_u_long invf_len, int stemmer_num);
 bool_tree_node *CreateBoolTreeNode (N_Tag tag,
 			     bool_tree_node * left, bool_tree_node * right);
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/build.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/build.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/build.h	(revision 25147)
@@ -111,15 +111,15 @@
 
 
-extern unsigned long buf_size;
+extern mg_u_long buf_size;
 /*
  * The size of the document input buffer.
  */
 
-extern unsigned long ChunkLimit;
+extern mg_u_long ChunkLimit;
 /*
  * The maximum number of chunks that can be written to disk.
  */
 
-extern unsigned long invf_buffer_size;
+extern mg_u_long invf_buffer_size;
 /*
  * The amount of memory to allocate to the invertion buffer.
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/comp_dict.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/comp_dict.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/comp_dict.c	(revision 25147)
@@ -66,7 +66,7 @@
 huff_data char_huff[2];
 huff_data lens_huff[2];
-u_long *char_codes[2], *lens_codes[2];
-u_long Words_disk = 0;
-u_long Chars_disk = 0;
+mg_u_long *char_codes[2], *lens_codes[2];
+mg_u_long Words_disk = 0;
+mg_u_long Chars_disk = 0;
 
 
@@ -79,5 +79,5 @@
   dict_hash_table *ht;
   u_char **words;
-  u_long ht_size;
+  mg_u_long ht_size;
 
   ht_size = prime (cfh->hd.num_codes * HASH_RATIO);
@@ -133,5 +133,5 @@
 	  register u_char **wptr;
 	  register int tsize = ht->size;
-	  register unsigned long hashval, step;
+	  register mg_u_long hashval, step;
 
 	  HASH (hashval, step, allwords, tsize);
@@ -163,5 +163,5 @@
     return COMPERROR;
 
-  Words_disk = sizeof (u_long);
+  Words_disk = sizeof (mg_u_long);
 
   if (Read_cdh (dict, &cdh, NULL, &Words_disk) == -1)
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/comp_dict.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/comp_dict.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/comp_dict.h	(revision 25147)
@@ -32,7 +32,7 @@
 typedef struct dict_hash_table
   {
-    u_long size;
+    mg_u_long size;
     huff_data *hd;
-    u_long *codes;
+    mg_u_long *codes;
     u_char **words;
     u_char **table[1];
@@ -51,7 +51,7 @@
 extern huff_data char_huff[2];
 extern huff_data lens_huff[2];
-extern u_long *char_codes[2], *lens_codes[2];
-extern u_long Words_disk;
-extern u_long Chars_disk;
+extern mg_u_long *char_codes[2], *lens_codes[2];
+extern mg_u_long Words_disk;
+extern mg_u_long Chars_disk;
 
 
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/environment.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/environment.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/environment.c	(revision 25147)
@@ -347,8 +347,8 @@
  * or default on a error
  */
-long 
-IntEnv (char *data, long def)
-{
-  long val;
+mg_s_long 
+IntEnv (char *data, mg_s_long def)
+{
+  mg_s_long val;
   char *ptr;
   if (!data)
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/environment.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/environment.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/environment.h	(revision 25147)
@@ -54,5 +54,5 @@
 char *GetEnvName (int i);
 int BooleanEnv (char *data, int def);
-long IntEnv (char *data, long def);
+mg_s_long IntEnv (char *data, mg_s_long def);
 
 void InitEnv (void);
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/hash.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/hash.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/hash.h	(revision 25147)
@@ -31,6 +31,6 @@
 	do {						\
 		register u_char *p=wd;			\
-		register long len = *p++;		\
-		register unsigned long hval;		\
+		register mg_s_long len = *p++;		\
+		register mg_u_long hval;		\
 		if (len>25) len = 25;			\
 		for (hval=0; len; --len)		\
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/invf.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/invf.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/invf.h	(revision 25147)
@@ -30,38 +30,38 @@
 struct invf_dict_header
   {
-    unsigned long lookback;
-    unsigned long dict_size;
-    unsigned long total_bytes;
-    unsigned long index_string_bytes;
+    mg_u_long lookback;
+    mg_u_long dict_size;
+    mg_u_long total_bytes;
+    mg_u_long index_string_bytes;
     double input_bytes; /* [RJM 07/97: 4G limit] */
-    unsigned long num_of_docs;
-    unsigned long static_num_of_docs;
-    unsigned long num_of_words;
-    unsigned long stemmer_num;
-    unsigned long stem_method;
+    mg_u_long num_of_docs;
+    mg_u_long static_num_of_docs;
+    mg_u_long num_of_words;
+    mg_u_long stemmer_num;
+    mg_u_long stem_method;
   };
 
 struct stem_dict_header
   {
-    unsigned long lookback;
-    unsigned long block_size;
-    unsigned long num_blocks;
-    unsigned long blocks_start;
-    unsigned long index_chars;
-    unsigned long num_of_docs;
-    unsigned long static_num_of_docs;
-    unsigned long num_of_words;
-    unsigned long stemmer_num;
-    unsigned long stem_method;
-    unsigned long indexed;       /* [RPAP - Jan 97: Stem Index Change] */
+    mg_u_long lookback;
+    mg_u_long block_size;
+    mg_u_long num_blocks;
+    mg_u_long blocks_start;
+    mg_u_long index_chars;
+    mg_u_long num_of_docs;
+    mg_u_long static_num_of_docs;
+    mg_u_long num_of_words;
+    mg_u_long stemmer_num;
+    mg_u_long stem_method;
+    mg_u_long indexed;       /* [RPAP - Jan 97: Stem Index Change] */
   };
 
 struct invf_file_header
   {
-    unsigned long no_of_words;
-    unsigned long no_of_ptrs;
-    unsigned long skip_mode;
-    unsigned long params[16];
-    unsigned long InvfLevel;
+    mg_u_long no_of_words;
+    mg_u_long no_of_ptrs;
+    mg_u_long skip_mode;
+    mg_u_long params[16];
+    mg_u_long InvfLevel;
   };
 
@@ -69,10 +69,10 @@
 struct stem_idx_header
   {
-    unsigned long lookback;
-    unsigned long block_size;
-    unsigned long num_blocks;
-    unsigned long blocks_start;
-    unsigned long index_chars;
-    unsigned long num_of_words;
+    mg_u_long lookback;
+    mg_u_long block_size;
+    mg_u_long num_blocks;
+    mg_u_long blocks_start;
+    mg_u_long index_chars;
+    mg_u_long num_of_words;
   };
 
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/invf_get.c
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/invf_get.c	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/invf_get.c	(revision 25147)
@@ -166,5 +166,5 @@
 
 static void 
-HT_Sup_Add (Hash_Table * HT, unsigned long DN, float Sum)
+HT_Sup_Add (Hash_Table * HT, mg_u_long DN, float Sum)
 {
   Invf_Doc_EntryH *IDEH;
@@ -176,5 +176,5 @@
 
 Invf_Doc_Entry *
-HT_find (Hash_Table * HT, unsigned long DN)
+HT_find (Hash_Table * HT, mg_u_long DN)
 {
   Invf_Doc_EntryH *IDEH;
@@ -194,5 +194,5 @@
 static int 
 HT_insert (Hash_Table * HT,
-	   unsigned long DN, float Sum)
+	   mg_u_long DN, float Sum)
 {
   Invf_Doc_EntryH **IDEH;
@@ -316,5 +316,5 @@
 
 Invf_Doc_Entry *
-LT_find (List_Table * LT, unsigned long DN)
+LT_find (List_Table * LT, mg_u_long DN)
 {
   int l = 0;
@@ -337,5 +337,5 @@
 static List_Table *
 LT_add (query_data * qd, List_Table * LT,
-	unsigned long DN, float Sum)
+	mg_u_long DN, float Sum)
 {
   Invf_Doc_Entry *ide;
@@ -472,5 +472,5 @@
     case 1:
       {
-	unsigned long len;
+	mg_u_long len;
 	if (*p <= qd->id->ifh.params[0])
 	  *k = 0;
@@ -488,5 +488,5 @@
     case 2:
       {
-	unsigned long len;
+	mg_u_long len;
 	if (*p <= qd->id->ifh.params[1])
 	  *k = 0;
@@ -533,5 +533,5 @@
   DocEntry *src = NULL, *dest = NULL;
   int i;			/* index counter into inverted list */
-  unsigned long pos;
+  mg_u_long pos;
   int next_start, next_doc_num, next_i;
   int block_counter;		/* within counter in block */
@@ -540,5 +540,5 @@
   int blk;			/* bblock control parameter */
   int ft;			/* The number of documents the word occurs in */
-  unsigned long CurrDoc = 0;	/* NOTE: Document numbers start at 1 */
+  mg_u_long CurrDoc = 0;	/* NOTE: Document numbers start at 1 */
   float Weight;
 
@@ -582,5 +582,5 @@
   while (i < ft && ((op == op_term) || src - L->DE < L->num))
     {
-      unsigned long diff, Temp;
+      mg_u_long diff, Temp;
 
       if (have_skipping)
@@ -754,8 +754,8 @@
       u_char *buffer;
       int i, kd;
-      unsigned long next_mjr_dn = 0;
-      unsigned long CurrDocNum = 0;	/* NOTE: Document numbers start at 1 */
-      unsigned long LastDocNum = 0; /* [RJM 07/97: Ranked Required Terms] */
-      unsigned long TempDocNum = 0; /* [RJM 07/97: Ranked Required Terms] */
+      mg_u_long next_mjr_dn = 0;
+      mg_u_long CurrDocNum = 0;	/* NOTE: Document numbers start at 1 */
+      mg_u_long LastDocNum = 0; /* [RJM 07/97: Ranked Required Terms] */
+      mg_u_long TempDocNum = 0; /* [RJM 07/97: Ranked Required Terms] */
       double Wqt, WordLog;
       int dn_blk = 0, len_blk = 0, k;
@@ -787,5 +787,5 @@
 	  int Count;		/* The number of times the word occurs in a document */
 	  double Wdt;
-	  unsigned long diff;
+	  mg_u_long diff;
 	  if (kd == k)
 	    {
@@ -919,13 +919,13 @@
 	  skip_header = 1;
 	  fprintf (sk, "%s", skip_header_text[qd->id->ifh.skip_mode]);
-	  fprintf (sk, "\nSkipping method %ld\n", qd->id->ifh.skip_mode);
+	  fprintf (sk, "\nSkipping method %d\n", qd->id->ifh.skip_mode);
 	  switch (qd->id->ifh.skip_mode)
 	    {
 	    case 1:
-	      fprintf (sk, "Skipping is every %ld docnums\n",
+	      fprintf (sk, "Skipping is every %d docnums\n",
 		       qd->id->ifh.params[0]);
 	      break;
 	    case 2:
-	      fprintf (sk, "Max nodes = %ld\nNo skips smaller or equal to %ld\n",
+	      fprintf (sk, "Max nodes = %d\nNo skips smaller or equal to %d\n",
 		       qd->id->ifh.params[0], qd->id->ifh.params[1]);
 	      break;
@@ -958,5 +958,5 @@
       u_char *buffer;
       int pos, i;
-      unsigned long CurrDocNum = 0;	/* NOTE: Document numbers start at 1 */
+      mg_u_long CurrDocNum = 0;	/* NOTE: Document numbers start at 1 */
       double Wqt, WordLog;
       int dn_blk = 0, len_blk = 0, k, kd;
@@ -971,5 +971,5 @@
       if (sk)
 	{
-	  fprintf (sk, "%3d : %8ld %6ld \"%.*s\"%*s", j, we->count,
+	  fprintf (sk, "%3d : %8d %6d \"%.*s\"%*s", j, we->count,
 		 we->doc_count, Terms->TE[j].Word[0], Terms->TE[j].Word + 1,
 		   indent - Terms->TE[j].Word[0], "");
@@ -1010,5 +1010,5 @@
 	  int Count;		/* The number of times the occurs in a document */
 	  double Wdt;
-	  unsigned long diff;
+	  mg_u_long diff;
 	  Invf_Doc_Entry ent, *mem;
 	  if (k)
@@ -1026,4 +1026,5 @@
 		}
 	      if (kd == k - 1)
+		{
 		if (i + k < p)
 		  {
@@ -1036,5 +1037,8 @@
 		  }
 		else
+		  {
 		  next_doc_num = -1;
+		  }
+		}
 	      if (Anding && i + k < p && next->DocNum > next_doc_num &&
 		  next_doc_num >= 0)
@@ -1149,13 +1153,13 @@
 	  skip_header = 1;
 	  fprintf (sk, "%s", skip_header_text[qd->id->ifh.skip_mode]);
-	  fprintf (sk, "\nSkipping method %ld\n", qd->id->ifh.skip_mode);
+	  fprintf (sk, "\nSkipping method %d\n", qd->id->ifh.skip_mode);
 	  switch (qd->id->ifh.skip_mode)
 	    {
 	    case 1:
-	      fprintf (sk, "Skipping is every %ld docnums\n",
+	      fprintf (sk, "Skipping is every %d docnums\n",
 		       qd->id->ifh.params[0]);
 	      break;
 	    case 2:
-	      fprintf (sk, "Max nodes = %ld\nNo skips smaller or equal to %ld\n",
+	      fprintf (sk, "Max nodes = %d\nNo skips smaller or equal to %d\n",
 		       qd->id->ifh.params[0], qd->id->ifh.params[1]);
 	      break;
@@ -1188,5 +1192,5 @@
       int pos;
       int i;
-      unsigned long CurrDocNum = 0;	/* NOTE: Document numbers start at 1 */
+      mg_u_long CurrDocNum = 0;	/* NOTE: Document numbers start at 1 */
       double Wqt, WordLog;
       int dn_blk = 0, len_blk = 0, k, kd;
@@ -1201,5 +1205,5 @@
       if (sk)
 	{
-	  fprintf (sk, "%3d : %8ld %6ld \"%.*s\"%*s", j, we->count,
+	  fprintf (sk, "%3d : %8d %6d \"%.*s\"%*s", j, we->count,
 		 we->doc_count, Terms->TE[j].Word[0], Terms->TE[j].Word + 1,
 		   indent - Terms->TE[j].Word[0], "");
@@ -1245,5 +1249,5 @@
 	  int Count;		/* The number of times the occurs in a document */
 	  double Wdt;
-	  unsigned long diff;
+	  mg_u_long diff;
 	  Invf_Doc_Entry *mem;
 	  if (k)
@@ -1391,13 +1395,13 @@
 	  skip_header = 1;
 	  fprintf (sk, "%s", skip_header_text[qd->id->ifh.skip_mode]);
-	  fprintf (sk, "\nSkipping method %ld\n", qd->id->ifh.skip_mode);
+	  fprintf (sk, "\nSkipping method %d\n", qd->id->ifh.skip_mode);
 	  switch (qd->id->ifh.skip_mode)
 	    {
 	    case 1:
-	      fprintf (sk, "Skipping is every %ld docnums\n",
+	      fprintf (sk, "Skipping is every %d docnums\n",
 		       qd->id->ifh.params[0]);
 	      break;
 	    case 2:
-	      fprintf (sk, "Max nodes = %ld\nNo skips smaller or equal to %ld\n",
+	      fprintf (sk, "Max nodes = %d\nNo skips smaller or equal to %d\n",
 		       qd->id->ifh.params[0], qd->id->ifh.params[1]);
 	      break;
@@ -1431,6 +1435,6 @@
       int pos;
       int i, n = 0;
-      unsigned long CurrDocNum = 0;	/* NOTE: Document numbers start at 1 */
-      unsigned long LastDocNum = 0;	/* [RJM 07/97: Ranked Required Match] */
+      mg_u_long CurrDocNum = 0;	/* NOTE: Document numbers start at 1 */
+      mg_u_long LastDocNum = 0;	/* [RJM 07/97: Ranked Required Match] */
       int this_item = 0; /* [RJM 07/97: Ranked Required Match] points to the next possible LT to delete */
       double Wqt, WordLog;
@@ -1448,5 +1452,5 @@
       if (sk)
 	{
-	  fprintf (sk, "%3d : %8ld %6ld \"%.*s\"%*s", j, we->count,
+	  fprintf (sk, "%3d : %8d %6d \"%.*s\"%*s", j, we->count,
 		 we->doc_count, Terms->TE[j].Word[0], Terms->TE[j].Word + 1,
 		   indent - Terms->TE[j].Word[0], "");
@@ -1511,5 +1515,5 @@
 	  int Count;		/* The number of times the occurs in a document */
 	  double Wdt;
-	  unsigned long diff;
+	  mg_u_long diff;
 	  Invf_Doc_Entry *mem;
 
@@ -1530,4 +1534,5 @@
 		}
 	      if (kd == k - 1)
+		{
 		if (i + k < p)
 		  {
@@ -1540,6 +1545,8 @@
 		  }
 		else
+		  {
 		  next_doc_num = -1;
-
+		  }
+		}
 	      /* should we take another skip? */
 	      if (Anding && i + k < p && next->DocNum > next_doc_num &&
Index: main/trunk/greenstone2/common-src/indexers/mg/src/text/invf_get.h
===================================================================
--- main/trunk/greenstone2/common-src/indexers/mg/src/text/invf_get.h	(revision 23431)
+++ main/trunk/greenstone2/common-src/indexers/mg/src/text/invf_get.h	(revision 25147)
@@ -75,5 +75,5 @@
 Op_types;
 
-/*Invf_Doc_Entry *HT_find(Hash_Table *HT, unsigned long DN); */
+/*Invf_Doc_Entry *HT_find(Hash_Table *HT, mg_u_long DN); */
 void HT_free (query_data * qd, Hash_Table * HT);
 void LT_free (query_data * qd, List_Table * LT);
